Bug 1446517 (CVE-2017-8309)

Summary: CVE-2017-8309 Qemu: audio: host memory leakage via capture buffer
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: ailan, amit, apevec, areis, ayoung, berrange, cfergeau, chrisw, cvsbot-xmlrpc, ddepaula, drjones, dwmw2, imammedo, itamar, jen, jjoyce, jschluet, kbasil, knoel, lhh, lpeer, markmc, m.a.young, mkenneth, mrezanin, mst, pbonzini, rbryant, rjones, rkrcmar, robinlee.sysu, sclewis, srevivo, tdecacqu, virt-maint, virt-maint, vkuznets, xen-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:11:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1446520, 1446521, 1476049, 1476068, 1476069, 1476072, 1476074, 1476077    
Bug Blocks: 1445256, 1476084    

Description Prasad J Pandit 2017-04-28 09:22:24 UTC
Quick Emulator(Qemu) built with the Audio subsystem support is vulnerable to
a host memory leakage issue. It could occur if a guest user was to repeatedly
start and stop audio capture.

A privileged user inside guest could use this flaw to exhaust host memory,
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-04/msg05587.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/05/03/1

Comment 1 Prasad J Pandit 2017-04-28 09:22:56 UTC
Acknowledgments:

Name: Jiang Xin (Huawei PSIRT)

Comment 2 Prasad J Pandit 2017-04-28 09:27:41 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1446521]

Comment 3 Prasad J Pandit 2017-04-28 09:28:06 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1446520]

Comment 4 Fedora Update System 2017-07-25 21:25:26 UTC
qemu-2.7.1-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2017-08-02 01:00:35 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408